Update end date for a contract
Update the end date of a Global Payroll contract from the date the change takes effect. Setting an end date makes the contract fixed-term; sending null makes it open-ended. The contract term is derived from the end date. Each call adds an entry to the end date history of the contract.
Token scopes: contracts:write
Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-01-12.
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
contract_id
The unique identifier of the GP contract.
Request
This endpoint expects an object.
data
End date change details, including the effective date.
Response
OK
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error